package com.yifeng.rn.vpager;

/**
 * 作者: yangliu
 * 时间：17/3/7:下午8:12
 * 说明：
 */

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.JavaScriptModule;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * 原生视图、模块注册管理
 * @author hiphonezhu@gmail.com
 * @version [android, 2016-05-30 22:30]
 */
public class VerticalViewPagerReactPackage implements ReactPackage {
    @Override
    public List<NativeModule> createNativeModules(ReactApplicationContext reactContext) {
        return Collections.emptyList();
    }

    @Override
    public List<Class<? extends JavaScriptModule>> createJSModules() {
        return Collections.emptyList();
    }

    @Override
    public List<ViewManager> createViewManagers(ReactApplicationContext reactContext) {
        // 注册AppViewManager
        List<ViewManager> viewManagers = new ArrayList<>();
        viewManagers.add(new ReactVerticalViewPagerManager());
        return viewManagers;
    }
}